### Method

# Gtk StackPage set_icon_name

#### Declaration [src]

    void
    gtk_stack_page_set_icon_name (
      GtkStackPage* self,
      const char* setting
    )

#### Description [src]

Sets the icon name of the page.

Sets property | `Gtk.StackPage:icon-name`

#### Parameters

`setting` | `const char*`
| The new value to set.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.